import request from '@/utils/request'

// 查询积分商品列表
export function listIntegralProduct(query) {
  return request({
    url: '/system/IntegralProduct/list',
    method: 'get',
    params: query
  })
}

// 查询积分商品详细
export function getIntegralProduct(id) {
  return request({
    url: '/system/IntegralProduct/' + id,
    method: 'get'
  })
}
// 任务状态修改
export function changetypeStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/system/IntegralProduct/changeStatus',
    method: 'put',
    data: data
  })
}
// 新增积分商品
export function addIntegralProduct(data) {
  return request({
    url: '/system/IntegralProduct',
    method: 'post',
    data: data
  })
}

// 修改积分商品
export function updateIntegralProduct(data) {
  return request({
    url: '/system/IntegralProduct',
    method: 'put',
    data: data
  })
}

// 删除积分商品
export function delIntegralProduct(id) {
  return request({
    url: '/system/IntegralProduct/' + id,
    method: 'delete'
  })
}
